Skip to main content
GET
List tokens

Query Parameters

chainId
string

Filter by CAIP-2 chain id

Maximum string length: 41
Example:

"eip155:1"

symbol
string

Filter by token symbol (case-insensitive)

Example:

"USDC"

contractAddress
string

Filter by contract address (case-insensitive)

Example:

"0xa0b86a33e6441b8c4c8c0c0c0c0c0c0c0c0c0c0"

assetType
enum<string>

Filter by asset type

Available options:
native,
erc20
Example:

"erc20"

tokenType
enum<string>

Filter by token type

Available options:
stablecoin,
volatile
Example:

"stablecoin"

limit
number
default:100

Number of items to return

Required range: 1 <= x <= 1000
Example:

50

offset
number
default:0

Number of items to skip

Required range: x >= 0
Example:

0

Response

200 - application/json

Tokens retrieved successfully

data
object[]
required
pagination
object
required